/*

Copyright (C) 2006 NTT DATA Corporation

This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, version 2.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more details.

 */

package com.clustercontrol.port.action;

import com.clustercontrol.bean.HinemosModuleConstant;
import com.clustercontrol.monitor.action.DeleteInterface;
import com.clustercontrol.monitor.util.MonitorSettingEndpointWrapper;

/**
 * port監視情報を削除するクラスです。
 * 
 * @version 4.0.0
 * @since 2.4.0
 */
public class DeletePort implements DeleteInterface {

	/**
	 * port監視情報を削除します。
	 * 
	 * @param monitorId 監視項目ID
	 * @return 削除に成功した場合、true
	 */
	@Override
	public boolean delete(String monitorId) throws Exception{
		return MonitorSettingEndpointWrapper.deleteMonitor(monitorId, HinemosModuleConstant.MONITOR_PORT);
	}
}