/*

Copyright (C) 2006 NTT DATA Corporation

This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, version 2.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more details.

 */

package com.clustercontrol.repository.view.action;

import org.eclipse.jface.action.IAction;

import com.clustercontrol.accesscontrol.util.LocalSession;
import com.clustercontrol.view.action.ObjectPrivilegeAction;

/**
 * スコープのオブジェクト権限設定を行うクライアント側アクションクラス<BR>
 * 
 * @version 4.1.0
 * @since 4.1.0
 */
public class ScopeObjectPrivilegeAction extends ObjectPrivilegeAction {

	public static final String ID = "com.clustercontrol.repository.view.action.ScopeObjectPrivilegeAction";

	/**
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	@Override
	public void run(IAction action) {
		
		super.run(action);
		
		// リポジトリキャッシュの更新
		LocalSession.doCheck();
	}
	
}